Page MenuHomePhabricator

order new array for dataset1001
Closed, ResolvedPublic

Description

Get another array for dataset1001; it's been short of space for awhile and we want to house full sets of openzim dumps and other files there now too.

Event Timeline

ArielGlenn raised the priority of this task from to Needs Triage.
ArielGlenn updated the task description. (Show Details)
ArielGlenn added subscribers: ArielGlenn, GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 6:53 PM
ArielGlenn set Security to None.Mar 18 2015, 6:53 PM
ArielGlenn added a subscriber: RobH.
RobH changed the task status from Open to Stalled.Mar 18 2015, 10:51 PM

The dataset1001-array1 is presently 12 * 2TB nearline SAS 7.2k rpm. I've requested a quote for another shelf.

While the hardware request is now handled in phabricator, the actual quotes are still in RT. (We're still working on our security settings and workflow in phabricator to handle those aspects of procurement.) The RT ticket is https://rt.wikimedia.org/Ticket/Display.html?id=9269

I'll update this task with order confirmation and shipping ETA. All price discussions must take place on the RT ticket at this time.

RobH claimed this task.Mar 18 2015, 10:51 PM
RobH triaged this task as Normal priority.
RobH reassigned this task from RobH to ArielGlenn.Mar 25 2015, 5:06 PM

I'm assigning this task to @ArielGlenn, after IRC discussion about the space/disk requirements needed for this request.

We're going to need to document on task what we plan to store on this shelf, along with its projected storage requirements. The current idea is a single MD1200 with 12 * #TB disks; but we need more info to make a better judgement.

Per IRC discussion, Ariel will work with the other folks involved with the dumps storage and determine these figures, update the task, and assign it back to me for quote gathering.

I did some back of the napkin-style calculations. With a new array of 12 2TB disks we get 18T say from raid, regular dumps plus pgecounts plus misc grow about 4T a year, we have about 4T in requests right now as a one-off, likely to grow much slower. Given this I think we're better off by far with the 3TB disks, so RobH if you could see what that looks like.

ArielGlenn changed the task status from Stalled to Open.Apr 24 2015, 12:29 PM
ArielGlenn reassigned this task from ArielGlenn to RobH.
RobH moved this task from Backlog to In Review on the hardware-requests board.Apr 29 2015, 3:54 PM
RobH closed this task as Resolved.May 20 2015, 5:46 PM

This has been ordered and will arrive today/tomorrow. T99808 is for the installation, and receipt is tracked in RT https://rt.wikimedia.org/Ticket/Display.html?id=9269.

Resolving.